/* style the modal trigger button */
.mg-costum-modal-trgger {
  padding: 8px 16px;
  font-size: 16px;
  background-color: #212529;
  color: white;
  border: none;
  border-radius: 4px;
}

/* style the modal overlay */
.mg-costum-modal-holder {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 999;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-color: rgba(0, 0, 0, 0.6);
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s ease-in-out;
}

/* style the modal container */
.mg-costum-modal {
  /* position: relative; */
  position: fixed;
  width: 50%;
  max-width: 600px;
  background-color: white;
  padding: 16px;
  border-radius: 4px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
  opacity: 0;
  visibility: hidden;
  transform: scale(0.7);
  transition: all 0.3s ease-in-out;
}

/* style the modal header */
.mg-costum-modal-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-bottom: 16px;
  border-bottom: 1px solid #ccc;
  width: 100%;
}

.mg-costum-modal-header-content {
  font-size: 20px;
  font-weight: bold;
}

.mg-costum-modal-header-close {
  font-size: 28px;
  font-weight: bold;
  cursor: pointer;
}

/* style the modal body */
.mg-costum-modal-body {
  padding: 16px 0;
  font-size: 16px;
  line-height: 1.5;
}

/* style the modal footer */
.mg-costum-modal-footer {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  padding-top: 16px;
  border-top: 1px solid #ccc;
  width: 100%;
}

.mg-costum-modal-footer-btn {
  margin-left: 16px;
  padding: 8px 16px;
  font-size: 16px;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}
.mg-costum-modal-footer-btn#mg-costum-modal-footer-btn-close {
  background-color: #dc3545 !important;
}
.mg-costum-modal-footer-btn#mg-costum-modal-footer-btn-go {
  background-color: #198754 !important;
}

/* show the modal when trigger button is clicked */
.mg-costum-modal-holder.active {
  opacity: 1;
  visibility: visible;
}

.mg-costum-modal.active {
  opacity: 1;
  visibility: visible;
  transform: scale(1);
  display: flex;
  flex-direction: column;
  gap: 0;
  justify-content: center;
  align-items: center;
  position: fixed;
}


/* Styles for screens smaller than 768px */
@media screen and (max-width: 767px) {
  .mg-costum-modal {
    width: 70%;
    max-width: 400px;
    margin: 10% auto;
    font-size: 10px;
  }
  .mg-costum-modal > * {
    width: 90%;
    max-height: 300px;
    overflow-y: a;
    max-width: 400px;
    margin: 0 auto;
    font-size: 15px;
  }
  .mg-costum-modal-header {
    overflow: hidden;
  }
  .mg-costum-modal-footer {
    flex-direction: column;
    gap: 1rem;
    align-items: center;
    justify-content: center;
    overflow: hidden;
  }
}

/* Styles for screens larger than 768px */
@media screen and (min-width: 768px) {
  .mg-costum-modal {
    width: 50%;
    max-width: 600px;
    margin: 10% auto;
  }
}
